package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class InStockBean {
    /**
     * records : [{"createdBy":143,"createdByName":"冷益飞","createdTime":"2019-11-27 11:29:22","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":917,"code":"WHGK","name":"钢水控制库","parentId":"0000","level":1,"sign":null,"type":"IN","status":"0","erpId":"WHGK","childCount":0,"stockInstanceCount":0,"children":null},{"createdBy":143,"createdByName":"冷益飞","createdTime":"2019-11-27 11:29:22","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":887,"code":"WHGT","name":"锆碳制品库","parentId":"0000","level":1,"sign":null,"type":"IN","status":"0","erpId":"WHGT","childCount":0,"stockInstanceCount":0,"children":null}]
     * total : 2
     * size : 10
     * current : 1
     * orders : []
     * searchCount : true
     * pages : 1
     */

    private int total;
    private int size;
    private int current;
    private boolean searchCount;
    private int pages;
    private List<RecordsBean> records;
    private List<?> orders;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getCurrent() {
        return current;
    }

    public void setCurrent(int current) {
        this.current = current;
    }

    public boolean isSearchCount() {
        return searchCount;
    }

    public void setSearchCount(boolean searchCount) {
        this.searchCount = searchCount;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public static class RecordsBean {
        /**
         * createdBy : 143
         * createdByName : 冷益飞
         * createdTime : 2019-11-27 11:29:22
         * updatedBy : null
         * updatedByName : null
         * updatedTime : null
         * id : 917
         * code : WHGK
         * name : 钢水控制库
         * parentId : 0000
         * level : 1
         * sign : null
         * type : IN
         * status : 0
         * erpId : WHGK
         * childCount : 0
         * stockInstanceCount : 0
         * children : null
         */

        private int createdBy;
        private String createdByName;
        private String createdTime;
        private Object updatedBy;
        private Object updatedByName;
        private Object updatedTime;
        private int id;
        private String code;
        private String name;
        private String parentId;
        private int level;
        private Object sign;
        private String type;
        private String status;
        private String erpId;
        private int childCount;
        private int stockInstanceCount;
        private Object children;

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public String getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(String createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(Object updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public Object getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(Object updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getParentId() {
            return parentId;
        }

        public void setParentId(String parentId) {
            this.parentId = parentId;
        }

        public int getLevel() {
            return level;
        }

        public void setLevel(int level) {
            this.level = level;
        }

        public Object getSign() {
            return sign;
        }

        public void setSign(Object sign) {
            this.sign = sign;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getErpId() {
            return erpId;
        }

        public void setErpId(String erpId) {
            this.erpId = erpId;
        }

        public int getChildCount() {
            return childCount;
        }

        public void setChildCount(int childCount) {
            this.childCount = childCount;
        }

        public int getStockInstanceCount() {
            return stockInstanceCount;
        }

        public void setStockInstanceCount(int stockInstanceCount) {
            this.stockInstanceCount = stockInstanceCount;
        }

        public Object getChildren() {
            return children;
        }

        public void setChildren(Object children) {
            this.children = children;
        }
    }
}
